---
agentTools:
  projectIndex: https://docs.mindstamp.com/llms.txt
---

# Get admin-created annotations for a single video

Returns admin-created annotations such as buttons, questions, images, hotspots, and text. Does not include viewer interactions.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "Welcome to the Mindstamp API documentation overview! \n\n As the premium Interactive Video platform, we pride ourselves in providing the best-in-class solution to our customers' needs. In addition to providing a sleek and intuitive interactive video experience, we also provide a comprehensive API that allows our users to retrieve and utilize their Mindstamp data. Mindstamp offers a JSON REST API that provides users the ability to retrieve data for views, viewers, videos, interactions, and users for use in their own applications.",
    "version": "1.0.0",
    "title": "Mindstamp API",
    "termsOfService": "https://mindstamp.com/terms",
    "contact": {
      "email": "hello@mindstamp.com"
    }
  },
  "tags": [
    {
      "name": "Videos",
      "description": "Everything about your videos"
    }
  ],
  "security": [
    {
      "APIKeyHeader": []
    },
    {
      "bearerAuth": []
    },
    {
      "oauth2": [
        "public"
      ]
    }
  ],
  "paths": {
    "/videos/{id}/parents": {
      "get": {
        "tags": [
          "Videos"
        ],
        "summary": "Get admin-created annotations for a single video",
        "description": "Returns admin-created annotations such as buttons, questions, images, hotspots, and text. Does not include viewer interactions.",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/annotations"
                }
              }
            }
          },
          "401": {
            "description": "Not Authorized"
          },
          "404": {
            "description": "Not Found"
          },
          "422": {
            "description": "Unprocessable Entity"
          },
          "500": {
            "description": "Error"
          },
          "503": {
            "description": "Rate Limit Exceeded"
          }
        },
        "operationId": "get_videos-id-parents"
      }
    }
  },
  "externalDocs": {
    "description": "Find out more about Mindstamp",
    "url": "https://mindstamp.com"
  },
  "servers": [
    {
      "url": "https://api.mindstamp.com/api/v1",
      "description": "Production"
    }
  ],
  "components": {
    "securitySchemes": {
      "APIKeyHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Use a Bearer token, for example: Authorization: Bearer <access_token>"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "A Mindstamp API token sent as Authorization: Bearer <token>. API tokens never expire."
      },
      "oauth2": {
        "type": "oauth2",
        "description": "OAuth 2.1 authorization code with PKCE for agents and integrations. Clients can register at https://app.mindstamp.com/oauth/register; discovery at https://app.mindstamp.com/.well-known/oauth-authorization-server.",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://app.mindstamp.com/oauth/authorize",
            "tokenUrl": "https://app.mindstamp.com/oauth/token",
            "refreshUrl": "https://app.mindstamp.com/oauth/token",
            "scopes": {
              "public": "Full access to the account's REST API, the same as an API token"
            }
          }
        }
      }
    },
    "schemas": {
      "question": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "23edc293-46d4-4891-b7e8-e64bbde7c2aa",
            "description": "Question interaction annotation ID."
          },
          "video_title": {
            "type": "string",
            "example": "My Interactive Video"
          },
          "style": {
            "type": "string",
            "example": "multiple"
          },
          "prompt": {
            "type": "string",
            "example": "What is 2+2?"
          },
          "time": {
            "type": "number",
            "example": 120,
            "format": "float"
          },
          "answers": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "text": {
                  "type": "string",
                  "example": "A. 4"
                },
                "action": {
                  "type": "string",
                  "example": "reply"
                },
                "value": {
                  "type": "string",
                  "example": ""
                }
              }
            }
          },
          "correct_answer": {
            "type": "string",
            "example": "A. 4"
          },
          "video_id": {
            "type": "string",
            "example": "92f73012-9c64-4149-93a3-b80515496352"
          },
          "url": {
            "type": "string",
            "example": "https://share.mindstamp.com/w/MKspMpyQAcbl"
          },
          "created_at": {
            "type": "string",
            "example": "Sat, 1 Jan 2022 05:12:32 UTC +00:00"
          },
          "updated_at": {
            "type": "string",
            "example": "Sat, 1 Jan 2022 05:15:24 UTC +00:00"
          },
          "group_id": {
            "type": "string",
            "example": "9ab95ec2-e1f3-4737-7342-456d7c8e77a8"
          },
          "group_name": {
            "type": "string",
            "example": "My Group"
          },
          "video_owner_id": {
            "type": "string",
            "example": "db9089d8-ae78-41d1-b83e-fb8ed5af3e5d"
          },
          "type_of": {
            "type": "string",
            "example": "question"
          },
          "finish": {
            "type": "number",
            "format": "float",
            "example": 12.5
          },
          "timer": {
            "type": "integer",
            "example": 18
          },
          "question_answers": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "text": {
                  "type": "string",
                  "example": "Alpha"
                },
                "action": {
                  "type": "string",
                  "example": "article"
                },
                "value": {
                  "type": "string",
                  "example": "article-1"
                },
                "click_action": {
                  "type": "string",
                  "example": "article"
                },
                "click_value": {
                  "type": "string",
                  "example": "article-1"
                },
                "click_time": {
                  "type": "integer",
                  "example": 2
                },
                "second_action": {
                  "type": "string",
                  "example": "view"
                },
                "second_value": {
                  "type": "string",
                  "example": "viewer-summary"
                },
                "second_time": {
                  "type": "integer",
                  "example": 3
                },
                "variable": {
                  "type": "string",
                  "example": "choice"
                },
                "variable_value": {
                  "type": "string",
                  "example": "alpha"
                },
                "correct": {
                  "type": "boolean",
                  "example": true
                }
              }
            }
          },
          "question_single_correct": {
            "type": "string",
            "example": "Alpha"
          },
          "question_multi_correct": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "example": [
              "Alpha",
              "Beta"
            ]
          },
          "question_has_correct_answer": {
            "type": "boolean",
            "example": true
          },
          "question_correct_action": {
            "type": "string",
            "example": "jump"
          },
          "question_correct_value": {
            "type": "string",
            "example": "20"
          },
          "question_correct_arg": {
            "type": "string",
            "example": "arg-a"
          },
          "question_incorrect_action": {
            "type": "string",
            "example": "message"
          },
          "question_incorrect_value": {
            "type": "string",
            "example": "Try again"
          },
          "question_incorrect_arg": {
            "type": "string",
            "example": "arg-b"
          },
          "pos_top": {
            "type": "number",
            "format": "float",
            "example": 10
          },
          "pos_left": {
            "type": "number",
            "format": "float",
            "example": 10
          },
          "pos_width": {
            "type": "number",
            "format": "float",
            "example": 80
          },
          "pos_height": {
            "type": "number",
            "format": "float",
            "example": 60
          },
          "background_color": {
            "type": "string",
            "example": "#010101"
          },
          "text_color": {
            "type": "string",
            "example": "#020202"
          },
          "prompt_color": {
            "type": "string",
            "example": "#020202"
          },
          "answers_color": {
            "type": "string",
            "example": "#030303"
          },
          "question_answers_color": {
            "type": "string",
            "example": "#030303"
          },
          "question_correct_color": {
            "type": "string",
            "example": "#040404"
          },
          "question_incorrect_color": {
            "type": "string",
            "example": "#050505"
          },
          "transition": {
            "type": "string",
            "example": "slideUp"
          },
          "question_transition": {
            "type": "string",
            "example": "slideUp"
          },
          "question_use_custom_design": {
            "type": "boolean",
            "example": true
          },
          "question_use_time_limit": {
            "type": "boolean",
            "example": true
          },
          "question_skippable": {
            "type": "boolean",
            "example": true
          },
          "question_rewindable": {
            "type": "boolean",
            "example": true
          },
          "question_rewind_time": {
            "type": "number",
            "format": "float",
            "example": 4.5
          },
          "question_use_hint": {
            "type": "boolean",
            "example": true
          },
          "question_hint": {
            "type": "string",
            "example": "Look closely"
          },
          "question_repeat_until_correct": {
            "type": "boolean",
            "example": true
          },
          "question_read_prompt": {
            "type": "boolean",
            "example": true
          },
          "question_read_answers": {
            "type": "boolean",
            "example": true
          },
          "question_voice_number": {
            "type": "integer",
            "example": 2
          },
          "question_post_message": {
            "type": "string",
            "example": "Done"
          },
          "question_allow_upload": {
            "type": "boolean",
            "example": false
          },
          "question_min_length": {
            "type": "integer",
            "example": 2
          },
          "question_max_length": {
            "type": "integer",
            "example": 50
          },
          "question_min_value": {
            "type": "integer",
            "example": 1
          },
          "question_max_value": {
            "type": "integer",
            "example": 10
          },
          "hidden": {
            "type": "boolean",
            "example": false
          },
          "hide_mobile": {
            "type": "boolean",
            "example": false
          },
          "hide_desktop": {
            "type": "boolean",
            "example": false
          },
          "internal_label": {
            "type": "string",
            "example": "Question label"
          },
          "variable": {
            "type": "string",
            "example": "score"
          },
          "value": {
            "type": "string",
            "example": "1"
          },
          "is_conditional": {
            "type": "boolean",
            "example": false
          },
          "conditional_show": {
            "type": "boolean",
            "example": true
          },
          "conditional_variable": {
            "type": "string",
            "example": "plan"
          },
          "conditional_assertion": {
            "type": "string",
            "example": "equals"
          },
          "conditional_value": {
            "type": "string",
            "example": "pro"
          },
          "conditional_operator": {
            "type": "integer",
            "example": 1
          },
          "is_conditional_2": {
            "type": "boolean",
            "example": false
          },
          "conditional_variable_2": {
            "type": "string",
            "example": "region"
          },
          "conditional_assertion_2": {
            "type": "string",
            "example": "contains"
          },
          "conditional_value_2": {
            "type": "string",
            "example": "us"
          },
          "question_map_hubspot": {
            "type": "boolean",
            "example": false
          },
          "hubspot_field": {
            "type": "string",
            "example": "Quiz Result"
          },
          "hubspot_value": {
            "type": "string",
            "example": "Passed"
          },
          "clickfunnels_active": {
            "type": "boolean",
            "example": false
          },
          "clickfunnels_tag": {
            "type": "string",
            "example": "quiz"
          },
          "clickfunnels_custom_attribute_name": {
            "type": "string",
            "example": "answer"
          },
          "clickfunnels_custom_attribute_value": {
            "type": "string",
            "example": "alpha"
          }
        }
      },
      "annotation": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "23edc293-46d4-4891-b7e8-e64bbde7c2aa"
          },
          "video_title": {
            "type": "string",
            "example": "My Interactive Video"
          },
          "type_of": {
            "type": "string",
            "example": "button",
            "description": "Annotation type. May be a visible interaction or timed action annotation.",
            "enum": [
              "button",
              "image",
              "text",
              "hotspot",
              "redirect",
              "jump",
              "switch",
              "pause",
              "resourceTray",
              "variable",
              "reset_viewer",
              "reset_interactions"
            ]
          },
          "content": {
            "type": "string",
            "example": "Click Me!"
          },
          "time": {
            "type": "number",
            "example": 120,
            "format": "float"
          },
          "finish": {
            "type": "number",
            "example": 125,
            "format": "float"
          },
          "click_action": {
            "type": "string",
            "example": "message"
          },
          "click_value": {
            "type": "string",
            "example": "Hello World!"
          },
          "video_id": {
            "type": "string",
            "example": "92f73012-9c64-4149-93a3-b80515496352"
          },
          "url": {
            "type": "string",
            "example": "https://share.mindstamp.com/w/MKspMpyQAcbl"
          },
          "created_at": {
            "type": "string",
            "example": "Sat, 1 Jan 2022 05:12:32 UTC +00:00"
          },
          "updated_at": {
            "type": "string",
            "example": "Sat, 1 Jan 2022 05:15:24 UTC +00:00"
          },
          "group_id": {
            "type": "string",
            "example": "9ab95ec2-e1f3-4737-7342-456d7c8e77a8"
          },
          "group_name": {
            "type": "string",
            "example": "My Group"
          },
          "video_owner_id": {
            "type": "string",
            "example": "db9089d8-ae78-41d1-b83e-fb8ed5af3e5d"
          },
          "click_time": {
            "type": "number",
            "format": "float",
            "example": 0,
            "description": "Target video start time for switch annotations."
          },
          "pause": {
            "type": "boolean",
            "example": true,
            "description": "Whether the annotation pauses playback."
          },
          "timer": {
            "type": "integer",
            "example": 10,
            "description": "Pause duration in seconds. Use -1 for until viewer resumes."
          },
          "variable": {
            "type": "string",
            "example": "stage",
            "description": "Variable name for variable annotations."
          },
          "value": {
            "type": "string",
            "example": "complete",
            "description": "Variable value for variable annotations."
          },
          "data": {
            "type": "string",
            "example": "{\"action\":\"jump\",\"value\":\"45\"}",
            "description": "Compatibility payload used by the player."
          },
          "pos_top": {
            "type": "number",
            "format": "float",
            "example": 10,
            "description": "Visible annotation top position as a percentage of the video layer."
          },
          "pos_left": {
            "type": "number",
            "format": "float",
            "example": 10,
            "description": "Visible annotation left position as a percentage of the video layer."
          },
          "pos_width": {
            "type": "number",
            "format": "float",
            "example": 20,
            "description": "Visible annotation width as a percentage of the video layer."
          },
          "pos_height": {
            "type": "number",
            "format": "float",
            "example": 10,
            "description": "Visible annotation height as a percentage of the video layer."
          },
          "font_size": {
            "type": "integer",
            "example": 20,
            "description": "Base font size for visible text/button annotations."
          },
          "og_video_width": {
            "type": "integer",
            "example": 789,
            "description": "Reference video width used when calculating responsive annotation sizing."
          },
          "og_video_height": {
            "type": "integer",
            "example": 444,
            "description": "Reference video height used when calculating responsive annotation sizing."
          },
          "tooltip": {
            "type": "string",
            "example": "More details",
            "description": "Tooltip text shown when hovering over the annotation."
          },
          "background_color": {
            "type": "string",
            "nullable": true,
            "description": "Visible annotation background color."
          },
          "text_color": {
            "type": "string",
            "nullable": true,
            "description": "Visible annotation text color."
          },
          "border_color": {
            "type": "string",
            "nullable": true,
            "description": "Visible annotation border color."
          },
          "border_radius": {
            "type": "string",
            "nullable": true,
            "description": "Visible annotation border radius."
          },
          "text_align": {
            "type": "string",
            "nullable": true,
            "description": "Visible annotation text alignment."
          },
          "transition": {
            "type": "string",
            "nullable": true,
            "description": "Visible annotation transition."
          },
          "hotspot_show_ring": {
            "type": "boolean",
            "nullable": true,
            "description": "Whether a hotspot ring is shown."
          },
          "hotspot_ring_width": {
            "type": "integer",
            "nullable": true,
            "description": "Hotspot ring width."
          },
          "hotspot_alignment": {
            "type": "integer",
            "nullable": true,
            "description": "Hotspot caption/ring alignment."
          },
          "hotspot_radius": {
            "type": "integer",
            "nullable": true,
            "description": "Hotspot radius."
          },
          "hotspot_hover": {
            "type": "boolean",
            "nullable": true,
            "description": "Whether hotspot hover state is enabled."
          },
          "show_caption": {
            "type": "boolean",
            "nullable": true,
            "description": "Whether captions are shown for supported visible annotations."
          },
          "tooltip_text": {
            "type": "string",
            "example": "Tooltip text"
          },
          "caption": {
            "type": "string",
            "example": "Caption text"
          },
          "must_click": {
            "type": "boolean",
            "example": true
          },
          "click_required": {
            "type": "boolean",
            "example": true
          },
          "hidden": {
            "type": "boolean",
            "example": false
          },
          "hide_mobile": {
            "type": "boolean",
            "example": false
          },
          "hide_desktop": {
            "type": "boolean",
            "example": false
          },
          "force_lead_capture": {
            "type": "boolean",
            "example": false
          },
          "do_spotlight": {
            "type": "boolean",
            "example": false
          },
          "is_conditional": {
            "type": "boolean",
            "example": false
          },
          "conditional_show": {
            "type": "boolean",
            "example": true
          },
          "conditional_variable": {
            "type": "string",
            "example": "plan"
          },
          "conditional_assertion": {
            "type": "string",
            "example": "equals"
          },
          "conditional_value": {
            "type": "string",
            "example": "pro"
          },
          "conditional_operator": {
            "type": "integer",
            "example": 1
          },
          "is_conditional_2": {
            "type": "boolean",
            "example": false
          },
          "conditional_variable_2": {
            "type": "string",
            "example": "region"
          },
          "conditional_assertion_2": {
            "type": "string",
            "example": "contains"
          },
          "conditional_value_2": {
            "type": "string",
            "example": "us"
          },
          "border_width": {
            "type": "string",
            "example": "2"
          },
          "animation": {
            "type": "string",
            "example": "pulse"
          },
          "background_image": {
            "type": "string",
            "example": "https://cdn.example.com/hotspot.png"
          },
          "points": {
            "type": "string",
            "example": "[[10,10],[40,12],[30,35]]"
          },
          "post_click_state": {
            "type": "string",
            "example": "color"
          },
          "post_click_color": {
            "type": "string",
            "example": "#444444"
          },
          "post_click_text_color": {
            "type": "string",
            "example": "#555555"
          },
          "tray": {
            "type": "boolean",
            "example": false
          },
          "tray_type": {
            "type": "string",
            "example": "magic_menu"
          },
          "internal_label": {
            "type": "string",
            "example": "Internal name"
          },
          "question_map_hubspot": {
            "type": "boolean",
            "example": false
          },
          "hubspot_field": {
            "type": "string",
            "example": "Lifecycle Stage"
          },
          "hubspot_value": {
            "type": "string",
            "example": "Customer"
          },
          "clickfunnels_active": {
            "type": "boolean",
            "example": false
          },
          "clickfunnels_tag": {
            "type": "string",
            "example": "clicked-hotspot"
          },
          "clickfunnels_custom_attribute_name": {
            "type": "string",
            "example": "source"
          },
          "clickfunnels_custom_attribute_value": {
            "type": "string",
            "example": "api"
          }
        }
      },
      "annotations": {
        "type": "array",
        "items": {
          "oneOf": [
            {
              "$ref": "#/components/schemas/annotation"
            },
            {
              "$ref": "#/components/schemas/question"
            }
          ]
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 103,
      "1": 0,
      "2": 11,
      "3": 247,
      "4": 12,
      "5": 95,
      "6": 174,
      "7": 0,
      "8": 25,
      "9": 224,
      "10": 85,
      "11": 222
    }
  }
}
```